## debian-edu-install 1.913

=== debian/changelog ===
debian-edu-install (1.913) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust main-server preseeding to match the Icinga2 -> Icinga change.

 -- Holger Levsen <holger@debian.org>  Tue, 17 Jan 2017 22:02:53 +0100

debian-edu-install (1.912) unstable; urgency=medium

  * Translation updates:
    - Basque, thanks to Iñaki Larrañaga (Dooteo). (Closes: #850045)
    - Romanian, thanks to Ionel Mugurel Ciobîcă.
    - Swedisch, thanks to Martin Bagge. (Closes: #851167)
    - French, thanks to Jean-Pierre Giraud. (Closes: #851327)

 -- Holger Levsen <holger@debian.org>  Sun, 15 Jan 2017 10:28:26 +0100

debian-edu-install (1.911) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add workaround to d-e-profile-udeb.postinst to allow installation of
    education tasks (unset DEBIAN_TASKS_ONLY).
  * (de) Ensure translation consistency (LTSP SERVER -> LTSP-SERVER).

  * Translation updates:
    - Indonesian, thanks to T. Surya Fajri.

 -- Holger Levsen <holger@debian.org>  Tue, 03 Jan 2017 15:27:05 +0100

## debian-edu-install 1.915

=== debian/changelog ===
debian-edu-install (1.915) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust preseed-values/defaults.ltsp-server.
    Set 'ltsp-server' as value of server_packages instead of the default
    one (ltsp-server-standalone). (Closes: #856493)

  * Translation updates:
    - Greek, thanks to Παναγιώτης Γεωργακόπουλος.
    - Italian, thanks to Claudio Carboncini.

 -- Holger Levsen <holger@debian.org>  Sun, 05 Mar 2017 17:21:09 +0100

debian-edu-install (1.914) unstable; urgency=medium

  * Translation updates:
    - Czech, thanks to Miroslav Kure. (Closes: #852191)

  [ Holger Levsen ]
  * Switch to native source format 3.0, to easily avoid including .git into
    the source package.

 -- Holger Levsen <holger@debian.org>  Fri, 17 Feb 2017 17:48:48 +0100

## debian-edu-install 1.916

=== Makefile ===
#
# Install file for Debian-Edu debconf override package
#

INSTALL     = install
INSTALL_DATA= install -m 644

libdir      = /usr/lib
templatedir = /usr/share/debconf/templates
pkglibdir   = $(libdir)/debian-edu-install
sbindir     = /usr/sbin
sysconfdir  = /etc

PART_RECIPES = \
        90edumain \
        92edumain+ws \
        96eduwork \
        91edumain+ltsp \
        94edultsp \
        97minimal \
        98edustandalone

PART_ARCHES = \
        recipes \
        recipes-powerpc-powermac_newworld \
        recipes-powerpc-prep

WRITE_ARCH_RECIPE = \
	sed -e "/>*>ARCH SPECIFIC<*</ r lib/partman/$$partarch-specific" \
	    -e '/>*>ARCH SPECIFIC<*</ d' \
	lib/partman/common/$$partrecipe > lib/partman/$$partarch/$$partrecipe

# Created using 'file * */*|grep Bourne|cut -d: -f1'
SCRIPTS = $(shell file * */*|egrep 'Bourne|POSIX'|cut -d: -f1)

DEFAULTS = \
	common networked main-server workstation ltsp-server \
	standalone ltsp-chroot

all: check
check: update-partman-recipes check-scripts # check-defaults

install: 
	for profile in $(DEFAULTS) ; do \
	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
	done
	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)

debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@

.PHONY: profile-demo
profile-demo: debian-edu-profile.templates
	chmod a+x ./debian-edu-profile
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
	rm -f debian-edu-profile.templates

# This check need write access to the debconf database.
check-defaults:
	for profile in $(DEFAULTS) ; do \
	    tools/debconf-load-defaults -c preseed-values/defaults.$$profile; \
	done

# Detect typos in /bin/sh scripts
check-scripts:
	for script in $(SCRIPTS) ; do \
		dash -n $$script ; \
	done

update-partman-recipes: lib/partman/common/* lib/partman/recipes*-specific
	for partarch in $(PART_ARCHES) ; do \
            for partrecipe in $(PART_RECIPES) ; do \
               $(WRITE_ARCH_RECIPE) ;\
            done ; \
        done
	LC_ALL=C printf "Last made $@ `date` for:\n$(?F)\n" > $@	# Avoid redundant makes.

install-partman-recipes: update-partman-recipes
	for partarch in $(PART_ARCHES) ; do \
		$(INSTALL_DATA) lib/partman/$$partarch/* $(DESTDIR)/lib/partman/$$partarch ;\
        done

minimum-diskreq:
	@echo "Minimum disk requirements, in MiB:"
	@for profile in lib/partman/recipes*/* ; do \
	  req=$$(grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }') ; \
	  echo "$$req	$$profile" ; \
	done

status:
	for f in debian/po/*.po; do \
		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
	done 
dist:
	debuild -us -uc

clean:
	$(RM) *~

=== debian/changelog ===
debian-edu-install (1.916) unstable; urgency=medium

  * Set version number to 9+edu0 in preparation of the Debian Stretch release,
    which for the first time could also mark the Debian Edu Stretch release at
    the same time!

 -- Holger Levsen <holger@debian.org>  Tue, 30 May 2017 15:53:21 +0200

=== debian/control ===
Source: debian-edu-install
Section: misc
Priority: optional
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>,
           Holger Levsen <holger@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends: debhelper (>= 9),
               po-debconf
Build-Depends-Indep: dash (>= 0.5.4-12)
Standards-Version: 3.9.8
Homepage: http://www.skolelinux.org
Vcs-Browser: https://anonscm.debian.org/git/debian-edu/debian-edu-install.git
Vcs-Git: git://anonscm.debian.org/debian-edu/debian-edu-install.git

Package: debian-edu-install
Priority: extra
Architecture: all
Depends: ${misc:Depends},
         debian-edu-config,
         libgtk2-perl,
         lsb-base (>= 3.0-6),
Description: Set d-i values to install Debian Edu without questions
 This package provides default answers for packages using debconf, and
 configures services to work out of the box after an installation.
 .
 This is part of the Debian Edu project.

Package: debian-edu-profile-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends},
         dmidecode-udeb,
         download-installer | load-cdrom,
         keyboard-setup,
         localechooser,
XB-Installer-Menu-Item: 2350
Description: Choose Debian Edu profile
 This package provides a profile chooser for the Debian installer.
 .
 This is part of the Debian Edu project.

Package: debian-edu-install-udeb
Package-Type: udeb
Architecture: all
Section: debian-installer
Depends: ${misc:Depends},
         clock-setup,
         configured-network,
         debian-edu-profile-udeb,
         driver-injection-disk-detect,
         ltsp-client-builder,
         pkgsel,
         user-setup-udeb,
XB-Installer-Menu-Item: 7750
Description: Execute Debian Edu debian-installer profile
 This dependency package forces the installer to choose the menu items
 needed for use in debian-installer.  This is done by making this
 package appear very early in the menu, and depending on the required
 packages in sequence.
 .
 This is part of the Debian Edu project.

=== debian/rules ===
#!/usr/bin/make -f

DEFAULTS = \
	common networked main-server workstation ltsp-server \
	standalone ltsp-chroot

%:
	dh $@

override_dh_auto_install:
	#
	# debian-edu-install
	#
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
	#
	# debian-edu-profile-udeb
	#
	$(MAKE) install-partman-recipes DESTDIR=$(CURDIR)/debian/debian-edu-profile-udeb
	touch $(CURDIR)/debian/debian-edu-profile-udeb/etc/uselvm
	for p in edu-etcvcs edu-is-testinstall laptop-detect report-if-disk-too-small edu-eatmydata-install ; do \
	    cp tools/$$p $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin/ ; \
	done
	cp base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/base-installer.d/10debian-edu-profile-udeb
	cp post-base-installer $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/post-base-installer.d/01debian-edu-profile-udeb
	cp pre-pkgsel $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/pre-pkgsel.d/10debian-edu-profile-udeb
	cp finish-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/finish-install.d/13debian-edu-profile-udeb
	cp apt-setup/generators/70debian-edu-install $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/apt-setup/generators/70debian-edu-install
	cp version $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install/
	for profile in $(DEFAULTS) ; do \
	    cp preseed-values/defaults.$$profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/lib/debian-edu-install ; \
	done
	cp lib/partman/not-enough-space.d/01debian-edu-install-udeb $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/not-enough-space.d/01debian-edu-install-udeb
	cp lib/debian-edu-common $(CURDIR)/debian/debian-edu-profile-udeb/lib/
	cp debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin

override_dh_installinit:
	# Use prefix 99x* to make sure it is the very last script in the boot sequence.
	dh_installinit -pdebian-edu-install --name=xdebian-edu-firstboot --no-start -u"start 99 2 3 4 5 ."

## debian-edu-install 2.10.13

=== debian/changelog ===
debian-edu-install (2.10.13) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Re-enable the use of already downloaded packages to speed up LTSP chroot
    installation:
    - debian/debian-edu-profile-udeb.postinst: Prevent pkgsel from running
      'apt-get clean'; the cache is cleaned anyway at the very end of the
      installation.
  * base-installer: Drop workaround for bug #565555 (squid related). This bug
    has been fixed in 2015, testing has shown that the workaround isn't needed
    anymore.

  [ Holger Levsen ]
  * Bump standards version to 4.2.1, no changes needed.
  * rules & changelog: remove an empty line and fix some whitespaces,
    thanks lintian.

 -- Holger Levsen <holger@debian.org>  Sat, 22 Sep 2018 00:01:12 +0200

debian-edu-install (2.10.12) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add Depends on eatmydata and etckeeper. Both packages are needed early in
    the installation process and need to be available on offline installation
    media.

  [ Holger Levsen ]
  * Bump standards version to 4.2.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Aug 2018 09:52:33 +0200

debian-edu-install (2.10.11) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-profile: Drop no longer needed base-installer modification.
    Thanks to Steve McIntyre for the hint.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Jul 2018 18:03:32 +0800

debian-edu-install (2.10.10) unstable; urgency=medium

  * lib/partman/recipes-doc/particulator.sh: update to point to the new
    partman-auto-recipe.txt location on salsa.
  * Bump standards version to 4.1.5, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Jul 2018 14:32:03 +0000

debian-edu-install (2.10.9) unstable; urgency=medium

  * d/control:
    - update Vcs: headers to point to salsa.debian.org.
    - bump standards version to 4.1.4, no changes needed.
  * README: update to point to the new partman-auto-recipe.txt location on
    salsa.

 -- Holger Levsen <holger@debian.org>  Wed, 30 May 2018 12:25:49 +0000

debian-edu-install (2.10.8) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust partition sizes to have enough space left in case KDE is used.
    - lib/partman/common/(91edumain+ltsp|94edultsp):
      Add 3 GiB to both /usr and /opt .
    - lib/partman/common/(92edumain+ws|96eduwork):
      Add 3 GiB to /usr.
    - lib/partman/common/98edustandalone:
      Add 3 GiB to /.
  * Update after running 'make update-partman-recipes'.

  [ Holger Levsen ]
  * debian/control:
    - fix path in Vcs-Git.

 -- Holger Levsen <holger@debian.org>  Tue, 13 Feb 2018 15:24:54 +0000

debian-edu-install (2.10.7) unstable; urgency=medium

  * Bump debian/compat to 11 and build-depend on debhelper >= 11~.
  * debian/control:
    - only define Priority once, thanks lintian.
    - use https for Vcs-Git.
  * Drop unused lintian-override for package-contains-empty-directory
    lib/debian-edu-install/.
  * debian/changelog: fix trailing whitespace.

 -- Holger Levsen <holger@debian.org>  Tue, 06 Feb 2018 14:25:02 +0000

debian-edu-install (2.10.6) unstable; urgency=medium

  * Bump package version to 2.10.6, to mark this as the 6th upload of
    src:debian-edu-install in the Debian 10 (Buster) development cycle.
  * Bump standards version to 4.1.3, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 22 Jan 2018 10:34:16 +0000

debian-edu-install (1.921) unstable; urgency=medium

  * debian/control:
    - Add "Rules-Requires-Root: no" to support building as non-root.
      (I've also confirmed that the build output is bit by bit identical with
      and without this.)
    - Bump standards version to 4.1.2, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 18 Dec 2017 16:08:43 +0000

debian-edu-install (1.920) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-profile:
    - Enable plain apt proxy use on NATed network. Allows one to set such a
      proxy (like e.g. apt-cacher-ng) on the kernel command line (or in expert
      mode via d-i gui) if on a network with a running DHCPD server or on a
      network with NAT enabled on the gateway and manual network configuration
      on the client.
    - Test internet connectivity against deb.debian.org instead of using
      ftp.debian.org.
  * preseed-values/defaults.common: Fix default mirror setting.
    - Use deb.debian.org instead of http.debian.net.

  [ Holger Levsen ]
  * debian/control: set priority to optional, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 27 Nov 2017 11:52:32 +0000

debian-edu-install (1.919) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1, no changes needed.
  * Drop version from Build-Depends-Indep: on dash, that version is satisfied
    in oldoldstable even.

 -- Holger Levsen <holger@debian.org>  Sun, 01 Oct 2017 17:33:08 +0200

debian-edu-install (1.918) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-install.postinst: Drop no longer needed version numbers.

  [ Holger Levsen ]
  * Bump Standards-Version to 4.1.0, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Sep 2017 16:05:36 +0200

debian-edu-install (1.917) unstable; urgency=medium

  [ Holger Levsen ]
  * Bump Standards-Version to 4.0.1, no changes needed.
  * Drop no longer active people from uploaders, thanks for all your work:
    - Andrew Lee (李健秋).
  * debian-edu-install.postinst:
    - drop workaround for missing versions present between 1.810 and 1.813.
    - update version number in /etc/debian-edu/config on upgrades.
  * Bump version file to 10+edu0~a0 to reflect that we are working on Buster
    now.
  * base-installer: drop code disabled since 2012.

  [ Mike Gabriel ]
  * Overall white-space cleanup on all files in this package (strip white-
    spaces at EOL).
  * debian/control: Use my @d.o mail address in Uploaders: field.



## debian-edu-install 2.10.14

=== debian/changelog ===
debian-edu-install (2.10.14) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * pre-pkgsel: Cleanup after squid workaround removal from base-installer.

 -- Holger Levsen <holger@debian.org>  Mon, 01 Oct 2018 15:17:58 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Holger Levsen <holger@debian.org>,
-           Andrew Lee (李健秋) <ajqlee@debian.org>,
-           Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
-Build-Depends: debhelper (>= 9),
+           Mike Gabriel <sunweaver@debian.org>
+Build-Depends: debhelper (>= 11~),
                po-debconf
-Build-Depends-Indep: dash (>= 0.5.4-12)
-Standards-Version: 3.9.8
+Build-Depends-Indep: dash
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Homepage: http://www.skolelinux.org
-Vcs-Browser: https://anonscm.debian.org/git/debian-edu/debian-edu-install.git
-Vcs-Git: git://anonscm.debian.org/debian-edu/debian-edu-install.git
+Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-install
+Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-install
 
 Package: debian-edu-install
-Priority: extra
 Architecture: all
 Depends: ${misc:Depends},
          debian-edu-config,
+         eatmydata,
+         etckeeper,
          libgtk2-perl,
          lsb-base (>= 3.0-6),
 Description: Set d-i values to install Debian Edu without questions

=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,3 @@
 override_dh_installinit:
 	# Use prefix 99x* to make sure it is the very last script in the boot sequence.
 	dh_installinit -pdebian-edu-install --name=xdebian-edu-firstboot --no-start -u"start 99 2 3 4 5 ."
-

## debian-edu-install 2.10.15

=== debian/changelog ===
debian-edu-install (2.10.15) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * d/control: Replace libgtk2-perl with libgtk3-perl (Closes: #912873).
  * Adjust d/debian-edu-install.xdebian-edu-firstboot.init:
    - Fix perl module check to match libgtk3-perl, adjust the related comment.

  [ Holger Levsen ]
  * d/control:
    - Use the new debhelper-compat(=11) notation and drop d/compat.
    - Drop version from dependency on lsb-base.

 -- Holger Levsen <holger@debian.org>  Tue, 06 Nov 2018 14:42:19 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 11),
                po-debconf
 Build-Depends-Indep: dash
 Standards-Version: 4.2.1
@@ -20,8 +20,8 @@
          debian-edu-config,
          eatmydata,
          etckeeper,
-         libgtk2-perl,
-         lsb-base (>= 3.0-6),
+         libgtk3-perl,
+         lsb-base,
 Description: Set d-i values to install Debian Edu without questions
  This package provides default answers for packages using debconf, and
  configures services to work out of the box after an installation.

## debian-edu-install 2.10.18

=== debian/changelog ===
debian-edu-install (2.10.18) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework preseed files. It will allow to reduce the number of #311188 issues.
    - preseed-values/defaults.workstation:
      Drop obsolete entries for cvs and xserver-xorg.
    - preseed-values/defaults.standalone:
      Drop obsolete entries for cvs, ntp-simple and ifupdown.
    - preseed-values/defaults.networked:
      + Drop obsolete entry for ocsinventory-agent.
      + Use FQDN for the gosa-desktop URL.
      + Set nslcd/ldap-cacertfile string to point to the debian-edu-server.crt.
      + Change the nslcd/ldap-reqcert string from 'never' to 'demand'.
      + Add settings for lightdm and sddm (trying to prefer lightdm; sddm lacks
        a language-chooser).
    - preseed-values/defaults.common:
      + Drop obsolete entries for discover, ntp-simple, xserver-xorg, dash and
        scsiadd.
      + Drop workaround for dictionaries-common/default-{ispell,wordlist}; the
        related bug has probably been due to education-desktop-other
        recommending tmispell-voikko. Preseeding both ispell and wordlist with
       'Manual symlink setting' leaves the user without those if an application
        doesn't choose one. That's maybe not what a user expects.
    - preseed-values/defaults.main-server:
      + Drop obsolete entries for dhcp3-server, ntp-simple, calamaris,
        foomatic-bin, fetchmail, squid, courier-base, courier-ssl and atftpd.
      + Adjust entries for bind9 (options) and tftpd-hpa (drop '--secure' option
        so that both PXE and LTSP could be served).
    - preseed-values/defaults.ltsp-server:
      + Drop obsolete entries for aftpd and dhcp3-server.
      + Adjust entries for slbackup (new default LTSP chroot) and tftpd-hpa.

  [ Holger Levsen ]
  * Bump standards version to 4.3.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Mon, 31 Dec 2018 12:48:05 +0100

debian-edu-install (2.10.17) unstable; urgency=medium

  * Rename debian-edu-install.lintian-override to
    debian-edu-install.lintian-overrides to align it with the rest, also
    adjust debian/rules as needed.
  * Add debian/debian-edu-profile-udeb.lintian-overrides as lintian wrongly
    tags uses-dpkg-database-directly. Also add a command to install this file
    via debian/rules.

 -- Holger Levsen <holger@debian.org>  Sat, 01 Dec 2018 13:10:50 +0100

debian-edu-install (2.10.16) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Rework debian/debian-edu-install.xdebian-edu-firstboot.init
    - Add code to send the testsuite error output also via email to the first
      user; it's already the only way if gdm3 is used (wayland is default) and
      provides a better readable output. The test result report can be triggered
      by adding the additional testinstall parameter to the kernel commandline.
    - Adjust testsuite error check code.
    - Replace kdm X check with one for sddm, adjust code accordingly.
    - Drop no longer useful gdm and gdm3 related X checks.
    - Cleanup from usplash related code, usplash is gone since years.
  * Cleanup and adjust debian-edu-profile:
    - Remove leftover cruft from test distribution days.
    - Adjust distribution check accordingly.
  * Cleanup apt-setup/generators/70debian-edu-install:
    - Remove volatile related code, obsolete since years.
    - Remove leftover cruft from test distribution days.
  * Cleanup tools/edu-is-testinstall from leftover cruft.

 -- Holger Levsen <holger@debian.org>  Tue, 13 Nov 2018 14:23:10 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	# debian-edu-install
 	#
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
-	cp debian/debian-edu-install.lintian-override $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
+	cp debian/debian-edu-install.lintian-overrides $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
 	#
 	# debian-edu-profile-udeb
 	#
@@ -33,6 +33,7 @@
 	cp lib/partman/not-enough-space.d/01debian-edu-install-udeb $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/not-enough-space.d/01debian-edu-install-udeb
 	cp lib/debian-edu-common $(CURDIR)/debian/debian-edu-profile-udeb/lib/
 	cp debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
+	install -D -p -m644 debian/debian-edu-profile-udeb.lintian-overrides $(CURDIR)/debian/debian-edu-profile-udeb/usr/share/lintian/overrides/debian-edu-profile-udeb
 
 override_dh_installinit:
 	# Use prefix 99x* to make sure it is the very last script in the boot sequence.

## debian-edu-install 2.10.21

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 all: check
 check: update-partman-recipes check-scripts # check-defaults
 
-install: 
+install:
 	for profile in $(DEFAULTS) ; do \
 	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
 	done
@@ -90,7 +90,7 @@
 status:
 	for f in debian/po/*.po; do \
 		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
-	done 
+	done
 dist:
 	debuild -us -uc

=== debian/changelog ===
debian-edu-install (2.10.21) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Set version number to 10+edu0 in preparation of the Debian Buster release.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Mar 2019 12:42:12 +0000

debian-edu-install (2.10.20) unstable; urgency=medium

  * preseed-values/defaults.common:
    - stop submitting to popcon.skolelinux.org as its unmaintained.
    - use https for submitting to popcon.debian.org.

 -- Holger Levsen <holger@debian.org>  Fri, 15 Feb 2019 14:07:13 +0100

debian-edu-install (2.10.19) unstable; urgency=medium

  * d/rules:
    - use dh_lintian instead of handcrafting commands.
    - stop installing a lintian override for debian-edu-profile-udeb.
  * Fix spelling error in previous changelog entry, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Sun, 27 Jan 2019 15:48:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 11),
                po-debconf
 Build-Depends-Indep: dash
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: http://www.skolelinux.org
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-install

## debian-edu-install 2.10.21+nmu1

=== debian/changelog ===
debian-edu-install (2.10.21+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:13:47 +0800

## debian-edu-install 2.11.4

=== debian/changelog ===
debian-edu-install (2.11.4) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian-edu-profile:
    - Remove LTSP related location from slbackup preseeding.
    - Update comment concerning offline installation media.
  * Adjust partition sizes now that LTSP uses /srv/ltsp instead of /opt/ltsp to
    store images/thin client chroots and /srv/tftp to store kernels and initrds:
    - lib/partman/common/{91edumain+ltsp,94edultsp}:
      + Replace mountpoint /opt with /srv/ltsp.
      + Add 512 MiB to / (to have enough space for /srv/tftp).
      + Use 15 GiB less for /srv/ltsp (fat client chroots are gone, the image
        is now built from the server filesystem).
  * Update after running 'make update-partman-recipes'.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Git.

  [ Holger Levsen ]
  * Bump standards version to 4.5.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 21 Jan 2020 18:27:50 +0100

debian-edu-install (2.11.3) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjustments for re-written LTSP setup:
    - d/control: Drop Depends on ltsp-client-builder (udeb).
    - preseed-values/defaults.ltsp-server: Drop no longer needed items.

  [ Holger Levsen ]
  * Update some outdated comments in several locations.

 -- Holger Levsen <holger@debian.org>  Sun, 24 Nov 2019 14:09:07 +0100

debian-edu-install (2.11.2) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server:
    - Adjust preseeding after replacing icinga with icinga2 and
      icinga2-classicui (cgi is enabled by default).

  [ Holger Levsen ]
  * d/control:
    - bump standards version to 4.4.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 08 Oct 2019 11:28:45 +0200

debian-edu-install (2.11.1) unstable; urgency=medium

  * d/changelog: bump version number for Debian 11 Bullseye.
  * version: bump to 11+edu0~a0 as well.
  * d/control:
    - bump standards version to 4.4.0, no changes needed.
    - bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Fri, 09 Aug 2019 13:01:05 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                po-debconf
 Build-Depends-Indep: dash
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Homepage: http://www.skolelinux.org
+Homepage: https://www.skolelinux.org
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-install
-Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-install
+Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-install.git
 
 Package: debian-edu-install
 Architecture: all
@@ -52,7 +52,6 @@
          configured-network,
          debian-edu-profile-udeb,
          driver-injection-disk-detect,
-         ltsp-client-builder,
          pkgsel,
          user-setup-udeb,
 XB-Installer-Menu-Item: 7750

## debian-edu-install 2.11.11

=== debian/changelog ===
debian-edu-install (2.11.11) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * version: Drop ~a0 from version string now that Debian ISO images are build
    for Bullseye.

  [ Holger Levsen ]
  * Update standards version to 4.5.1, no changes needed.

 -- Holger Levsen <holger@debian.org>  Tue, 15 Dec 2020 12:13:05 +0100

debian-edu-install (2.11.10) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * debian/debian-edu-profile-udeb.postinst: Drop LTSP5 related tweaking.
  * debian/control: Use https://blends.debian.org/edu as homepage.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Oct 2020 09:25:59 +0200

debian-edu-install (2.11.9) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Avoid scrolling on the Debian Edu profile choice page during installation:
    - Re-format debian/debian-edu-profile-udeb.templates to reduce the amount
      of lines.
    - Update debian/po/{templates.pot,*.po} files after running
      'debconf-updatepo'.
    - Apply some trivial unfuzzy/cleanup/adjustment to debian/po/*.po files.

  [ Holger Levsen ]
  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Fri, 22 May 2020 11:45:48 +0200

debian-edu-install (2.11.8) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * lib/partman/common/{91edumain+ltsp,94edultsp}:
    Use 5 GiB more for /srv/ltsp just in case several thin-client chroot types
    are wanted.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Apr 2020 01:03:03 +0200

debian-edu-install (2.11.7) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server: Drop preseeding for Icinga 2.
    The reworked icinga2 and icingaweb2 setup now cares for the login
    configuration; the first user will be able to log into the web UI.

 -- Holger Levsen <holger@debian.org>  Thu, 26 Mar 2020 00:16:06 +0100

debian-edu-install (2.11.6) unstable; urgency=medium

  [ Holger Levsen ]
  * Change package description: Set d-i values to install Debian Edu *with*
    *less* questions (not without).

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server: Drop tftpd-hpa preseeding now that
    iPXE is used for PXE installations.

 -- Holger Levsen <holger@debian.org>  Mon, 16 Mar 2020 14:27:11 +0100

debian-edu-install (2.11.5) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * preseed-values/defaults.main-server: Drop no longer needed preseed value
    for tftpd-hpa; the default directory will now be used for LTSP and PXE.
  * preseed-values/defaults.networked: Fix default-x-display-manager preseeding.

  [ Holger Levsen ]
  * Wrap long lines in changelog entries: 0.658, 0.654, thanks lintian-brush.

 -- Holger Levsen <holger@debian.org>  Tue, 10 Mar 2020 21:03:08 +0100

## debian-edu-install 2.11.12

=== debian/changelog ===
debian-edu-install (2.11.12) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Adjust partman recipes in lib/partman/common/*: Closes: #987225)
    - Increase minimum by 0.5GiB for / (workstation profile) resp. /var
      (other profiles). This ensures enough space for (temporarily) caching debs
      in case the netinst ISO image is used or installation happens via PXE.
      Thanks to Philip Hands for spotting this on https://openqa.debian.net.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Tue, 20 Apr 2021 15:46:08 +0200

## debian-edu-install 2.11.13

=== Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 
 PART_ARCHES = \
         recipes \
+        recipes-amd64-efi \
         recipes-powerpc-powermac_newworld \
         recipes-powerpc-prep

=== debian/changelog ===
debian-edu-install (2.11.13) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add partitioning recipes to support UEFI systems. (Closes: #988396)
    Thanks to Cyril Etcheverria for detecting the bug and for providing useful
    additional information.
    - lib/partman/: Add EFI partition related configuration file
      'recipes-amd64-efi-specific' and directory 'recipes-amd64-efi'.
    - lib/partman/common/*: Adjust common recipes concerning the /boot partition
      to match the UEFI related change.
      (Code for both /boot and EFI partitions taken from src:d-i/partman-auto.)
    - Generate / update recipes via running 'make update-partman-recipes'.
    - Adjust debian/debian-edu-profile-udeb.dirs and Makefile.
  * debian-edu-profile: Adjust case statement to let the EFI recipes take effect
    during installation.

 -- Holger Levsen <holger@debian.org>  Mon, 24 May 2021 12:43:46 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
            Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                po-debconf
 Build-Depends-Indep: dash
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://www.skolelinux.org
+Homepage: https://blends.debian.org/edu
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-install
 Vcs-Git: https://salsa.debian.org/debian-edu/debian-edu-install.git
 
@@ -22,7 +22,7 @@
          etckeeper,
          libgtk3-perl,
          lsb-base,
-Description: Set d-i values to install Debian Edu without questions
+Description: Set d-i values to install Debian Edu with less questions
  This package provides default answers for packages using debconf, and
  configures services to work out of the box after an installation.
  .

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 	# debian-edu-install
 	#
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/debian-edu-install
-	cp debian/debian-edu-install.lintian-overrides $(CURDIR)/debian/debian-edu-install/usr/share/lintian/overrides/debian-edu-install
 	#
 	# debian-edu-profile-udeb
 	#
@@ -33,7 +32,6 @@
 	cp lib/partman/not-enough-space.d/01debian-edu-install-udeb $(CURDIR)/debian/debian-edu-profile-udeb/lib/partman/not-enough-space.d/01debian-edu-install-udeb
 	cp lib/debian-edu-common $(CURDIR)/debian/debian-edu-profile-udeb/lib/
 	cp debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
-	install -D -p -m644 debian/debian-edu-profile-udeb.lintian-overrides $(CURDIR)/debian/debian-edu-profile-udeb/usr/share/lintian/overrides/debian-edu-profile-udeb
 
 override_dh_installinit:
 	# Use prefix 99x* to make sure it is the very last script in the boot sequence.

## debian-edu-install 2.12.6

=== debian/changelog ===
debian-edu-install (2.12.6) unstable; urgency=medium

  * debian/debian-edu-profile-udeb.templates: update list of current release
    names.
  * d/control:
    - drop obsolete depends on lsb-base, thanks lintian.
    - bump standards version to 4.6.2, no changes needed.
  * debian-edu-install.lintian-overrides:
    -  adopt to new syntax.
    -  override false-positive unused-debconf-template warnings.

 -- Holger Levsen <holger@debian.org>  Sat, 28 Jan 2023 12:31:46 +0100

debian-edu-install (2.12.5) unstable; urgency=medium

  [ Mike Gabriel ]
  * debian-edu-profile:
    - Add --timeout and -tries options to wget call to avoid very long
      waiting times during installation if tjener.<search-domain> is
      resolvable on the network, but the IP resolved is offline.
      Closes: #1008038.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Apr 2022 18:14:36 +0200

debian-edu-install (2.12.4) unstable; urgency=medium

  [ Mike Gabriel ]
  * preseed-values/defaults.networked: Use ca-certificates.crt file
    for pre-seeding nslcd/ldap-cacertfile (as that one include the
    previously used debian-edu-server.crt file). (Closes: #1004586).

 -- Holger Levsen <holger@debian.org>  Mon, 07 Feb 2022 01:42:18 +0100

debian-edu-install (2.12.3) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Add autopkgtest: Check if education tasks show up in tasksel.
  * lintian-overrides: Add entry for missing-systemd-service-for-init.d-script.

 -- Holger Levsen <holger@debian.org>  Sat, 23 Oct 2021 22:53:44 +0200

debian-edu-install (2.12.2) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * version: Replace 11+edu0 with 12 as Debian bookworm is targeted. Adding
     'edu0' doesn't make sense since official Debian ISO images are available.
  * lib/partman/common/{91edumain+ltsp,94edultsp}:
    - Increase both minimum and maximum values by ~20 GiB to have enough disk
      space for both diskless workstation and thin client chroots, and also for
      related SquashFS images in case these are generated.
    - Drop partition for mountpoint /var/opt/ltsp/swapfiles; the new LTSP
      doesn't support NBD swap.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Wed, 29 Sep 2021 21:44:47 +0200

debian-edu-install (2.12.1) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Start on 2.12.1 as Debian 12 (bookworm) is targeted.
  * Bump standards version to 4.6.0, no changes needed.
  * Remove obsolete powerpc recipes. Support for PowerPC systems has been
    dropped years ago. (Closes: #989485)
    - Remove related files and directories.
    - Update recipes' status via running 'make update-partman-recipes'.
    - Adjust debian/debian-edu-profile-udeb.dirs and Makefile.
    - debian-edu-profile: Adjust case statement to reflect the change.

 -- Holger Levsen <holger@debian.org>  Sat, 04 Sep 2021 01:17:46 +0200

## debian-edu-install 2.12.7

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,6 @@
 PART_ARCHES = \
         recipes \
         recipes-amd64-efi \
-        recipes-powerpc-powermac_newworld \
-        recipes-powerpc-prep
 
 WRITE_ARCH_RECIPE = \
 	sed -e "/>*>ARCH SPECIFIC<*</ r lib/partman/$$partarch-specific" \

=== debian/changelog ===
debian-edu-install (2.12.7) unstable; urgency=medium

  * Adjust lib/partman/common/(91edumain+ltsp|92edumain+ws|94edultsp|96eduwork|
    98edustandalone), increase both minimum and maximum values by 2 GiB for
    /usr (or / when there is no seperate /usr partition) and by 1 GiB for /var
    (or / when there is no seperate /var partition) to cope with increased
    packages sizes.
  * Adjust lib/partman/common/(91edumain+ltsp|94edultsp), increase both minimum
    and maximum values by 2 GiB for /srv/ltsp to cope with increased packages sizes.
  * Update after running 'make update-partman-recipes'.

 -- Holger Levsen <holger@debian.org>  Mon, 30 Jan 2023 17:08:12 +0100

## debian-edu-install 2.12.8

=== debian/changelog ===
debian-edu-install (2.12.8) unstable; urgency=medium

  * turkish debconf translation update, thanks to Atila KOÇ. Closes: #1031667.

 -- Holger Levsen <holger@debian.org>  Sun, 26 Feb 2023 10:15:55 +0100

## debian-edu-install 2.12.9~deb12u1

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,7 @@
 	common networked main-server workstation ltsp-server \
 	standalone ltsp-chroot
 
+.PHONY: all check install status dist clean profile-demo check-defaults check-scripts install-partman-recipes minimum-diskreq
 all: check
 check: update-partman-recipes check-scripts # check-defaults
 
@@ -48,7 +49,6 @@
 debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
 	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@
 
-.PHONY: profile-demo
 profile-demo: debian-edu-profile.templates
 	chmod a+x ./debian-edu-profile
 	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./debian-edu-profile
@@ -81,15 +81,15 @@
 
 minimum-diskreq:
 	@echo "Minimum disk requirements, in MiB:"
-	@for profile in lib/partman/recipes*/* ; do \
-	  req=$$(grep '^[0-9]' $$profile |awk '{ sum=sum+$$1} END { print sum }') ; \
-	  echo "$$req	$$profile" ; \
+	@for profile in lib/partman/recipes*/[0-9]* ; do \
+	  awk '$$1 ~ /^[0-9]/ { sum=sum+$$1} END { printf("%d\t%s\n", sum, FILENAME) }' "$$profile" ; \
 	done
 
 status:
 	for f in debian/po/*.po; do \
 		echo -n $$f:; LANG=C msgfmt --statistics -o /dev/null $$f 2>&1 ; \
 	done
+
 dist:
 	debuild -us -uc

=== debian/changelog ===
debian-edu-install (2.12.9~deb12u1) bookworm; urgency=medium

  * Release to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 29 Aug 2023 23:10:45 +0200

debian-edu-install (2.12.9) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Adjust D-I auto-partitioning sizes for bullseye and bookworm (closes:
    #1038792):
    - Only show profiles in make minimum-diskreq
    - Add partition size data for bullseye
    - Properly declare phony targets in Makefile
    - Increase partition sizes for main-server (90edumain)
    - Increase partition sizes for main-server + thinclient-server (91edumain+
      ltsp)
    - Increase partition sizes for main-server + workstation (92edumain+ws)
    - Update after running 'make update-partman-recipes'
  * README: Fix measured sizes of /srv/ltsp.

  [ Mike Gabriel ]
  * debian-edu-profile:
    - Use '=' instead of '==' in dash script. Thanks, lintian.
  * lib/debian-edu-common:
    - Add shebang (#!/bin/sh) to silence lintian with 'W: debian-edu-profile-
      udeb udeb: executable-not-elf-or-script [lib/debian-edu-common]'.
  * debian/debian-edu-profile-udeb.postinst:
    + Drop #DEBHELPER# macro. The have no effect in udeb:pkgs. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 19 Aug 2023 16:32:09 +0200

## debian-edu-install 2.12.10~deb12u1

=== debian/changelog ===
debian-edu-install (2.12.10~deb12u1) bookworm; urgency=medium

  * Release to bookworm.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 31 Jan 2024 16:00:42 +0100

debian-edu-install (2.12.10) unstable; urgency=medium

  [ Wolfgang Schweer ]
  * Fix security mirror URL generated by apt-setup generator script.
    Closes: #1058788.
  * Remove non-free and contrib repository components. Closes: #1058789.

  [ Guido Berhoerster ]
  * Add systemd service files equivalent to xdebian-edu-firstboot init script.
  * Adjust debian-edu-testsuite to new UID/GID of first user.

  [ Mike Gabriel ]
  * d/changelog: typo fix in previous upload stanza.

 -- Holger Levsen <holger@debian.org>  Mon, 25 Dec 2023 11:07:01 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: debhelper-compat (= 13),
                po-debconf
 Build-Depends-Indep: dash
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://blends.debian.org/edu
 Vcs-Browser: https://salsa.debian.org/debian-edu/debian-edu-install
@@ -21,7 +21,6 @@
          eatmydata,
          etckeeper,
          libgtk3-perl,
-         lsb-base,
 Description: Set d-i values to install Debian Edu with less questions
  This package provides default answers for packages using debconf, and
  configures services to work out of the box after an installation.

=== debian/rules ===
--- 
+++ 
@@ -34,5 +34,8 @@
 	cp debian-edu-profile $(CURDIR)/debian/debian-edu-profile-udeb/usr/bin
 
 override_dh_installinit:
-	# Use prefix 99x* to make sure it is the very last script in the boot sequence.
-	dh_installinit -pdebian-edu-install --name=xdebian-edu-firstboot --no-start -u"start 99 2 3 4 5 ."
+	dh_installinit -pdebian-edu-install --name=xdebian-edu-firstboot --no-start
+
+override_dh_installsystemd:
+	dh_installsystemd -pdebian-edu-install --no-start --name=xdebian-edu-firstboot
+	dh_installsystemd -pdebian-edu-install --no-start --name=debian-edu-testsuite

## debian-edu-install 2.12.11

=== Makefile ===
--- 
+++ 
@@ -4,10 +4,13 @@
 
 INSTALL     = install
 INSTALL_DATA= install -m 644
+INSTALL_BIN = install -m 755
 
 libdir      = /usr/lib
 templatedir = /usr/share/debconf/templates
 pkglibdir   = $(libdir)/debian-edu-install
+libexecdir  = /usr/lib
+pkglibexecdir = $(libexecdir)/debian-edu-install
 sbindir     = /usr/sbin
 sysconfdir  = /etc
 
@@ -45,6 +48,7 @@
 	    $(INSTALL_DATA) preseed-values/defaults.$$profile $(DESTDIR)$(pkglibdir)/; \
 	done
 	$(INSTALL_DATA) version $(DESTDIR)$(pkglibdir)
+	$(INSTALL_BIN) debian-edu-testsuite $(DESTDIR)$(pkglibexecdir)
 
 debian-edu-profile.templates: debian/debian-edu-profile-udeb.templates
 	(cd debian; po2debconf debian-edu-profile-udeb.templates) > $@

=== debian/changelog ===
debian-edu-install (2.12.11) unstable; urgency=medium

  * Team upload.
  * Remove myself from uploaders. It was a pleasure and an honor!

 -- Holger Levsen <holger@debian.org>  Thu, 13 Mar 2025 20:39:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
 Uploaders: Petter Reinholdtsen <pere@debian.org>,
-           Holger Levsen <holger@debian.org>,
            Mike Gabriel <sunweaver@debian.org>
 Build-Depends: debhelper-compat (= 13),
                po-debconf

=== debian/tests/control ===
Tests: check-tasksel-setup
Depends: @
Restrictions: needs-root allow-stderr
